## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   blur-my-shell
%global uuid        %{extension}@aunetx

Name:           gnome-shell-extension-%{extension}
Version:        50
Release:        %autorelease
Summary:        Adds a blur look to different parts of the GNOME Shell
License:        GPL-3.0-or-later
URL:            https://github.com/aunetx/blur-my-shell
Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gettext
Requires:       (gnome-shell >= 45~ with gnome-shell < 46~)
Requires:       hicolor-icon-theme
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Adds a blur look to different parts of the GNOME Shell, including the top
panel, dash and overview.


%prep
%autosetup -n %{extension}-%{version}


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions
cp -p -r src %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
cp -p -r resources/ui %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/ui
cp -p -r resources/icons %{buildroot}%{_datadir}/icons
install -D -p -m 0644 metadata.json %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/metadata.json

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/*.svg


%changelog
* Tue Sep 19 2023 Carl George <carlwgeorge@fedoraproject.org> - 50-1
- Update to version 50 for official upstream GNOME 45 support
- Resolves: rhbz#2239731

* Mon Aug 21 2023 Carl George <carlwgeorge@fedoraproject.org> - 47^1.28a669d-1
- Update to upstream snapshot for GNOME 45 support

* Thu Jul 27 2023 Carl George <carl@george.computer> - 47-1
- Update to version 47, resolves rhbz#2217303

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 05 2023 Carl George <carl@george.computer> - 46-1
- Update to version 46

* Mon Mar 27 2023 Carl George <carl@george.computer> - 45-1
- Update to version 45 (GNOME 44 support)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 24 2022 Carl George <carl@george.computer> - 44-1
- Initial package, resolves rhbz#2135915
